can't load library 'libgdbm.so.2'

can't load library 'libgdbm.so.2'

Post by Drew Linsala » Sun, 31 Dec 1995 04:00:00



Hi all,

Just toying with the NSCA httd under 1.1.59

When I attempt to run httpd as root, I get the following error:

httpd: can't load library 'libgdbm.so.2'

Any ideas?

Thanks!

Drew Linsalata
AECNET

 
 
 

1. perl: can't load library 'libgdbm.so.1'

I get subject message when I execute

perl -e 'require DB_File and print "I have Berkeley DB.\n"'

I have the following in /usr/lib:

-rw-r--r--   1 root     root      3633130 Apr 16  1999 /usr/lib/libdb.a
lrwxrwxrwx   1 root     root           20 Nov 26 10:16 /usr/lib/libdb.so -> ../../lib/libdb.so.3
-rw-r--r--   1 root     root       950710 Apr 16  1999 /usr/lib/libdb1.a
lrwxrwxrwx   1 root     root           21 Nov 26 10:16 /usr/lib/libdb1.so -> ../../lib/libdb1.so.2
-rw-r--r--   1 root     root        48516 Mar 21  1999 /usr/lib/libgdbm.a
lrwxrwxrwx   1 root     root           16 Nov 26 10:16 /usr/lib/libgdbm.so -> libgdbm.so.2.0.0
lrwxrwxrwx   1 root     root           16 Nov 26 10:16 /usr/lib/libgdbm.so.2 -> libgdbm.so.2.0.0
-rw-r--r--   1 root     root        29117 Mar 21  1999 /usr/lib/libgdbm.so.2.0.0
lrwxrwxrwx   1 root     root            7 Nov 26 10:16 /usr/lib/libndbm.a -> libdb.a
lrwxrwxrwx   1 root     root            8 Nov 26 10:16 /usr/lib/libndbm.so -> libdb.so
lrwxrwxrwx   1 root     root           25 Nov 26 10:16 /usr/lib/libnss1_db.so -> ../../lib/libnss1_db.so.1
lrwxrwxrwx   1 root     root           24 Nov 26 10:16 /usr/lib/libnss_db.so -> ../../lib/libnss_db.so.2

Do I need to find libgdb.so.1 to make perl happy?

Thanks.
--
Pete Holsberg
MCCC
Trenton, NJ

2. printing with HP laserjet 4L

3. send-mail: can't load library 'libgdbm.so.2'

4. patch distribution

5. can't load library 'libgdbm.so.2' with Slackware 3.0 installation

6. gcc 2.95 vs. 3.0

7. Help, system freezes!

8. send-mail: can't load library 'libgdbm.so.2

9. Sendmail error (sendmail: can't load library 'libgdbm.so.2)

10. Kernel: 'Cant load libgdbm.so.2'

11. can't load library libgdbm.so.1 :apache 1.3.9

12. anybody for 'libgdbm.so.2'